/* 
 * MobileProtocol.Java
 *
 * Copyright (c) 1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 *
 *  $Id: MobileProtocol.Java,v 1.3 2000/02/08 23:42:55 tullmann Exp $
 *  
 *  Copyright 1996 Massachusetts Institute of Technology
 * 
 *  Permission to use, copy, modify, distribute, and sell this software and
 *  its documentation for any purpose is hereby granted without fee, provided
 *  that the above copyright notice appear in all copies and that both that
 *  copyright notice and this permission notice appear in supporting
 *  documentation, and that the name of M.I.T. not be used in advertising or
 *  publicity pertaining to distribution of the software without specific,
 *  written prior permission.  M.I.T. makes no representations about the
 *  suitability of this software for any purpose.  It is provided "as is"
 *  without express or implied warranty.
 */
package JANOS_ANTSR_MOBILE_APP_PKG;

import JANOS_ANTSR_CORE_PKG.*;


/**
 * Mobile protocol definition - The protocol involves two types of capsules,
 * one for carrying actual data, and one for updating forwarding information
 * on routers.
 *
 * @author David Wetherall
 */

public class MobileProtocol extends Protocol {
  
	public MobileProtocol() throws Exception
	{
		this.startProtocolDefn();
		
		/* Add our regular data capsule */
		this.startGroupDefn();
		this.addCapsule(JANOS_ANTSR_MOBILE_APP_PKG_S +
				".MobileCapsule");
		this.endGroupDefn();
		
		/* Add the updater capsule */
		this.startGroupDefn();
		this.addCapsule(JANOS_ANTSR_MOBILE_APP_PKG_S +
				".MobileUpdateCapsule");
		this.endGroupDefn();
		
		this.endProtocolDefn();
	}
}

