/*
 * ANEPDemultiplexKey.Java
 *
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 *
 */
package JANOS_ANTSR_CORE_PKG;

import JANOS_NODEOS_PKG.Flow;
import JANOS_NODEOS_PKG.DemultiplexKey;

/**
 * Match ANEP packets with the specified TypeID.
 */
PACKAGE class ANEPDemultiplexKey
	extends DemultiplexKey
{
	PACKAGE ANEPDemultiplexKey(Flow flow, byte version, short protocolID)
	{
		super(flow);
		/* Just use the builtin matcher */
		this.matchANEP(0, version, false, protocolID);
	}

	PACKAGE ANEPDemultiplexKey(Flow flow, short protocolID)
	{
		super(flow);
		/* Just use the builtin matcher */
		this.matchANEP(0, Capsule.ANEPVERSION, false, protocolID);
	}
}
