/*
 * ClassInstantiationKeyTester.Java
 *
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

package JANOS_TESTS_NODEOS_PKG;

import JANOS_TESTS_PKG.*;
import JANOS_NODEOS_PKG.*;

public class ClassInstantiationKeyTester extends Tester
{
	public void testUnit() throws TestFailedException
	{
		Class cl = this.getClass();
		ClassInstantiationKey cik;
		
		this.enterSection(ENV_EXPOSED, "Constructor/checkEquals");
#ifdef EXPOSED
		try
		{
			cik = new ClassInstantiationKey(cl);
			try
			{
				cik.checkEquals(cl);
			}
			catch(SecurityException e)
			{
				throw new TestFailedException(this);
			}
			try
			{
				cik.checkEquals(null);
			}
			catch(SecurityException e)
			{
				; /* Nothing */
			}
			try
			{
				cik.checkEquals(Class.forName(JANOS_TESTS_PKG_S
							      + ".Tester"));
			}
			catch(SecurityException e)
			{
				; /* Nothing */
			}
		}
		catch(ClassNotFoundException e)
		{
			throw new TestFailedException(this);
		}
#endif
	}
}
