# dumpClass.pl
#
# Copyright (c) 1999, 2000 University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of Janos.
# 
# Janos is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License, version 2, as
# published by the Free Software Foundation.
# 
# Janos is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details, in the file
# COPYING.  If that file is not present, write to the Free
# Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
# 02111-1307, USA
# 
# The University of Utah and the Flux Group requests users to
# return to flux-dist@cs.utah.edu any improvements that they make.
# 

#
# Dump a java .class file to stdout
#

use JavaClass;

# Control the verbosity of &printClass()
$JavaClass::detailedFields = 1;
$JavaClass::detailedMethods = 1;

&usage() if $#ARGV < 0;

while (@ARGV) {
    ## Parse the command line
    my $classFile = shift;

    ## Read/parse the class file
    my $class = &JavaClass::readClass($classFile);

    ## Print the class file
    &JavaClass::printClass($class);
}

###
###
###

sub usage() {
  print STDOUT "Usage:\n";
  print STDOUT "\tdumpClass.pl <classfile ...>\n";
  print STDOUT "\t\tNote that '.class' will be appended if it is not specified in the file name.\n";

  exit 11;
}

#eof
